Subject: REVIEW: DirWork 2.0
From: [email-masked] (Robin Luiten)
Date: 17 Apr 1994 01:28:27 GMT
Newsgroups: comp.sys.amiga.reviews

PRODUCT NAME

	DirWork 2.0

BRIEF DESCRIPTION

	DirWork 2.0 is a configurable directory utility.

	This is version 1.0 of this review (15 April 1994).  Since I have
played with the product for only 10 hours, I plan to update this review in a
few weeks.  But I've had the manual all day while writing this. :-) I nearly
skipped work to stay at home and play. :-)

AUTHOR/COMPANY INFORMATION

	Name:		Quasar Distribution
	Address:	PO Box 188
			Southland, Victoria 3192
			Australia

	Telephone:	61-3-583 8806
	FAX:		61-3-585 1074
	Support BBS:	61-3-584 8590 (The Galaxy BBS 1200-14.4k)

	Internet:	[email-masked]
			[email-masked]

	ADSP:		[email-masked]

	Amiganet:	Either by using the DirWork EchoMail area or:
			netmail to Justin Deeley at 41:300/548.0

LIST PRICE

	$85 (Australian) Suggested Retail Price.  I paid $80.  (Hot off the
presses, and I still got a discount. :-))

SPECIAL HARDWARE AND SOFTWARE REQUIREMENTS

	HARDWARE

		Runs with 512K RAM.  (I have not tested this, but the
		executable is 100K, and DirWork does not take up much memory
		on my Amiga 3000.)

		Runs fine on my Amiga 3000/68030, my friend's 68000, and
		another friend's A4000/030.  I expect it will run just fine
		on 68040 systems but have not tried yet.

	SOFTWARE

		Runs on AmigaDOS versions 1.2, 1.3, 2.0, 2.1, 3.0.
		Having said this I should also point out that it supports
		most of the new features added into AmigaDOS 2.0 and 3.0
		releases as well.

COPY PROTECTION

	None.  Installs on a hard drive just fine.

	Only requires the addition of the supplied "asl.library" if you are
running an old version of AmigaDOS namely 1.2 or 1.3.  [The install program
does this automatically I think.]

	Configuration data can be saved and loaded from anywhere but the
default is the "S:" directory with the name "DW.cfg".

MACHINE USED FOR TESTING

	Amiga 3000/25, 8 MB Fast RAM, 2 MB Chip RAM.
	1 internal 880K floppies.
	Quantum 240 MB internal hard drive.
	Quantum 50 MB internal hard drive.
	Hydra Ethernet Card.
	WangDAT 2 Gigabyte tape drive (external).
	Seagate 400 MB external hard drive.
	Digital VRC-16 Multisynch Monitor.
	AmigaDOS 2.1.

INSTALLATION

	Just click on the "Install" icon and follow the instructions.  The
installation is very simple for anyone who's used the Commodore Installer
before.  It looks like it would work fine on a floppy as well.

INTRODUCTION

	DirWork 2.0 is billed as a very configurable directory utility, but
actually it should have been billed as a "Directory Utility Construction Kit"
or "DUCK". :-)

	The program seems very confusing at first, but a bit of
perseverance and searching through the manual quickly builds a view of an
extremely powerful directory utility with an awesome configuration system.
Considering my 5 hours experience, I now have a great deal of respect for
the configuration system.  Initially I thought it a bit of kludge and hard
to follow.  Actually I have spent longer writing this review than I have
spent playing with the actual program at this point in time [i.e., the day
after purchase].  However the review has helped me to clarify a lot of the
features and options available -- time well spent.

	For existing DirWork users:  anything you can do in DirWork 1.62 and
older is still available in DirWork 2.0 and generally there are a lot more
options.  For the users of other directory utilities, if you can get a look
do so. I have just converted one friend from Rush, another from Directory
Opus and another from DiskMaster.  You'll find that you should be able to
build a look-alike, work-alike facility relatively quickly, and once you
have something familiar you can start extending it.  However, DirWork 2.0
does not support more that two filelists visible nor multiple independent
Intuition windows for filelists and command buttons.

	Initially, it looked like it would take me a week to get a config
that I really felt comfortable with.  After 5 hours though, I think I could
get one going in a day or two.  However, I'll be tweaking for weeks.  [And
loving it.... :-)]

	Also looks like I am going to make a couple of configurations:  one
for Workbench, one for custom screens, and a few variations which depend on
the job I am doing.

	By the way, I have not had this program do something unexpected
yet.  Usually, I can make new software do something unexpected or crash
within my first 2 hours of use.  DirWork 2.0 has not caused me any large
problems:  just a few minor things that annoy me while I thrashed DirWork
2.0 last night.  [I use the word "thrashed" deliberately because I tend to
work software hard, and am not very forgiving....]

OPERATION

	Here are some of the built in features of DirWork 2.0.

	.	Both the Text and Picture viewer support automatic
		decrunching of PowerPacked files if the powerpacker.library
		is available.  [NOTE:  Manual says only that it unpacks
		PowerPacked pictures.]

	.	Built in text viewer which supports Ansi, Hex, Text modes.
		Supports searching and printing of page or document.

	.	Built in picture viewer.
		Supports Icons and  IFF pictures.
		Screen auto-scrolls (AmigaDOS 2.0 and above).
		Display screen mode Requester (AmigaDOS 2.1 and above).
		Full Datatype support (AmigaDOS 3.0 and above).
		Colour Palette control (AmigaDOS 3.0 and above).

	.	There is also a sound sample player and module player
		but I have not yet tried them out.

	.	Built in Disk Operations.
		Supports disk copying, formatting, testing and installing.
		The format supports Quick , FFS, Cache, International
		modes, verifying and naming the disk.
		Supports both Normal and High density disks.
		Supports multiple destination disk copies.
		Supports hard drives [in manual; I have not checked this]

	.	Built in General System Monitor.

		The following things may be monitored.
		.	General configuration
		.	Cards installed
		.	Resident libraries/resource/devices
		.	Tasks
		.	Screens/Windows
		.	DOS Devices
		.	Memory
		.	Resources
		.	Devices
		.	Interrupts
		.	Libraries
		.	Ports
		.	Fonts currently resident
		.	Video modes available
			[may be restricted for OS v2.0 and less]
		.	Printing of any selected monitor information

		My Favourite System Monitor feature.
		[This will probably replace SnoopDOS and ToolTypeWatch for me]
		.	Watch System
			Allows viewing of accessed ToolTypes and 
			files opened by any running program.

	.	All "standard" directory utility functions are present.

	.	Seems to have full ARexx support.  [just scratched so far]
		It seems a bit cryptic as it requires the raw
		configuration strings and they can get quite complex
		
	.	Looks to have some good printing support.  [untried]

	.	Very complete support for all possible key combinations
		and qualifiers.

	.       It has automatic file type detection.  The file types
		recognised can easily be extended but is not
		necessarily a thing a novice would do.  The built in
		types cover most everything.

	.	Any button, menu, workbench application icon and key
		can have just about any of the possible operations
		attached to it.

CONFIGURATION POSSIBILITIES

	Yoiks! you name it, it can do it. :-)  The configuration
possibilities are limitless.  It is almost scary.  Here is a list of some of
the display config stuff:

	.	Every displayable item in the DirWork 2.0 screen or window
		can be moved, sized, coloured.  This includes buttons,
		filelists, prop gadgets, menus etc. etc. etc. :-)
	.	Fully configurable menus, colours, functions, fonts, etc.
	.	Can be opened as a window on any public screen
	.	Can be opened on its own screen which can be either
		custom or a clone of the workbench screen.
	.	Can run as borderless backdrop window or as a normal
		window on its own screen.
	.	Each individual display element can have an
		independently defined font.
	.       Any function in DirWork 2.0 can have an application
		icon on the workbench to allow stuff to be dropped on
		it for actions.  This applies to those AmigaDOS version's
		that support this.
	.	Can define additional items for the workbench tools
		menu.  This applies to those AmigaDOS version's that
		support this.

	Crumbs, you could even use DirWork 2.0 as a replacement for your
favourite dock program.

	The command configuration possibilities are limitless in an
independent way to the display configurations.  Listing the possibilities
doesn't seem like a good idea as the list would get too long.

	Here are some of the highlights of the command config stuff that
attracted my attention.
	
	.	Just about any operation can be attached to any key or
		mouse action.
	.	Just about any action can be have qualifiers associated
		with it; e.g., it is possible to have one button that does
		10 different things, depending on the mouse button and
		key qualifier combination.  
	.	From the cursory look through options, most options can
		have a flag set that indicates that they are abortable.
	.	A very general requester scheme can be used to get
		extra information for commands.
	.	One very nice feature is the automatic switchover of
		accessing df0: to pc0: if an MS-DOS disk is inserted in that
		drive.  This applies to those AmigaDOS versions that support
		this.
	.	A feature I really love is that if you load a config file
		from anywhere, it remembers where the config came from.  Now
		when you select Save Config, it saves to the file you loaded
		earlier, not to the default setup config.  This is one
		feature I would like to see in a lot of other software out
		there.

DOCUMENTATION

	A printed manual is supplied, with a nice spiral binding that lies
flat, which also allows the book to fold back on itself.  This is my
favourite sort of manual binding. :-)

	Overall I say the documentation is good, and generally better than
most other documentation I have used.  I develop software for a living so
have a fair bit of experience with software documentation.  However, the
manual has no tutorial on configuration.  A few simple tutorials for
changing specific things might help a novice get started.  The manual does
give good little examples when discussing each of the options, but the novice
may give up before finding the example.

	For those novices out there:  "Don't give up."  Ask for help and
persevere.  It'll be worth it.
	
	The overall style of the documentation is that of a reference
manual.  The first few chapters cover basics of using DirWork and some of
its features.  Once the documentation gets to configuration, though, it is
very logical about the order of presentation and can be read linearly quite
well.

LIKES

	The configurability is great.

	The configurations directory contains some good examples.

	The interface for configuration seems a little kludgey at first; but
once familiar, it is quite efficient, and I have learned to really like it.

	My all time favourite DirWork 2.0 feature is that I can configure it
so that the left mouse button treats the left filelist as the source
directory and the right mouse button treats the right filelist as the source
directory.  This sort feature has been in several of the earlier shareware
releases of DirWork as well.

	The configuration file is ASCII text, so for large scale changes it
is easy just to load it into an editor and hack away as long as you follow
the format rules for the configuration.

	I like the manual.  It is well organised and logically presented.

	I like the full support of configurable application icons.  It is a
great idea and I look forward to being able to use it.  [This is only under
AmigaDOS 3.0 I think.]

	This list here is only the immediate highlights I can think of.
There is so much more.

DISLIKES AND SUGGESTIONS

	Gee, what isn't there to like. :-)  But seriously folks.

	I wish there were not so many items in some of the cycle gadgets in
the configuration interface.

	I wish it was quicker and easier to position the GUI interface stuff
when modifying its interface.  The control is sufficient, but I find myself
getting impatient waiting for a button to be scrolled to the position where
I want it.

	I wish the palette setting tool had a numerical display associated
with it so I can see the values as I set the colour.  [NOTE: It is possible
to see the values in another screen however.]

	I'd like the scrolling of the filelists to be a bit smoother.  Some
of the other directory utilities I have used have better filelist scrolling.

	I'd like the Watch System tool to display the name of processes
which open and close files, etc.

	I'd a gadget that deletes other gadgets from the config.  In concert
with this, I'd like a way to load a partial configuration to redefine buttons
in the area I have just deleted them from.  This would be just the ultimate
for having DirWork 2.0 modify itself in increments depending on what you are
doing.

	I sincerely hope that there will be a DirWork 2.0 configuration
directory on Aminet so that we can look at all the wild and wonderful
configurations that people come up with.

	Doesn't seem to support the click-move-click operation which is
supported in DiskMaster and Directory Opus.

	I have more ideas etc. and am in contact with the author about them
already.  So I am looking forward to some really great updates.

COMPARISON TO OTHER SIMILAR PRODUCTS

	DirWork 2.0 is a directory utility and so has a very long history in
the amiga community going back to the early days of the old Amiga 1000.  [ I
still have my 1000 in A1 condition. :-)]  DirWork 2.0 lives up to all its
ancestors and paints a bright picture of what to expect from them in the
future.

	For those "DW 1.62" fans, there is a classic config that feels just
like home for people updating to DirWork 2.0.  For others, there is a
reasonable selection of different configs that should initially satisfy most
people.

	I think that DirWork 2.0 is the next step in the evolution of
directory utilities.  I have played with just about every directory utility
out there from the early "DU" 6 years ago to most of the current crop
including "Rush", "MTool", "MegaD", "DirectoryOpus", "Disk Master" and lots
more I have forgotten.  I think that DirWork 2.0 provides an awful lot of
power in a very small and configurable package.

	[NO, I don't have registered copies of all the directory utilities I
have used.  I just played with the demos or with friends' copies of Disk
Master and Directory Opus on their machines to try 'em out.]

	As far as comparing goes, it is difficult at the moment with only
about 10 hours accumulated play time.  I will attempt to compare better in a
future update to this review.

	Overall, DirWork 2.0 has been able to do just about anything I try
to make it do, and I have tried a lot of stuff that I have seen in other
directory utilities.

BUGS

	Yup, I have found a few bugs but nothing really fatal yet.  Overall,
DirWork 2.0 seems very robust and stable.  I have also been in contact with
the author, and from his enthusiastic response, I have high hopes for
excellent support.

	The bugs that might be of interest are:

	    There are few very minor omissions and mistakes I have found
	    in the manual.  I won't even list them as they are so minor.

	    Two of the example configurations have errors which might
	    cause some people problems, these are:

	    	1. The configuration "DWClassic.cfg"

		    For some reason the filelist display leaves off
		    the last digit of the filesize of each file.
		    This must have crept in in the last minute before
		    release. :-)

		2. The configuration "Tall.cfg"

		    The menu for sorting and resorting the filelists
		    in different orders has the wrong functions
		    attached to it so they do not seem to do anything.

	    If you copy a directory into another directory, everything is
	    fine.  But if you copy the same directory with the same name to
	    the same destination again, the destination directory will
	    actually display two copies of your directory in the destination
	    filelist.  This is only a display problem, and if you re-read the
	    directory everything is OK.

	    This one is a bit annoying.  If you try to copy a directory into
	    itself, DirWork 2.0 will quite happily attempt to do it.  It may
	    crash your machine, but generally it just makes a very deep
	    directory tree before it stops due to DOS errors related to
	    maximum depth of directory tree.

	    If a non-proportional font is used in the filelists, then it is
	    possible when entering an empty directory that there will be
	    some display stuff left over from the parent directory down the
	    right hand side of the filelist display.

	These bugs are minor and easily avoided once known.

VENDOR SUPPORT

	I have been in contact with Chris, and he seems really keen to get
in and enhance/fix as reports come in.  I assume as Chris is this way that
Quasar, the distributor here, will be similarly keen.

	I am just a very happy customer and have no affiliation with the
author or the distributor.

WARRANTY

	There is a 30 day warranty on the disk.  Other than that, there is
no warranty.

	I don't know if the warranty only applies to the original purchaser.

CONCLUSIONS

	It is really great:  my impression is "WOW!!"  I give it 4.5 stars
out of 5.  I took off half a point because it'll scare heck out of novices
who are keen to configure without reading the manual properly.

	This program is worth every cent of the $80 Australian dollars I
spent.  Actually, considering the price, it is an absolute bargain.

COPYRIGHT NOTICE

	Copyright 1994 Robin Luiten.  All rights reserved.

  _-_|\      [email-masked]            /Disclaimer:
 /     * <-- Systems Development (AOTC),   /  
 \_.-._/     Telecom East Tower Roma St,  /   C references are NULL && void*
      v      Brisbane, Australia.        /  

---

   Daniel Barrett, Moderator, comp.sys.amiga.reviews
   Send reviews to:	[email-masked]
   Request information:	[email-masked]
   Moderator mail:	[email-masked]
   Anonymous ftp site:  math.uh.edu, in /pub/Amiga/comp.sys.amiga.reviews